sc::ThreadLock(3)

NAME
sc::ThreadLock -

The ThreadLock abstract class provides mutex locks to be used in conjunction with ThreadGrp's'.

SYNOPSIS

#include <thread.h>

Inherits sc::RefCount'.

  Public Member Functions
virtual void lock ()=0
Obtain the lock'.
virtual void unlock ()=0
Release the lock'.

Detailed Description

The ThreadLock abstract class provides mutex locks to be used in conjunction with ThreadGrp's'. ThreadLock objects should be locked and unlocked with ThreadLockHolder objects to provide exception safety'.

Author

Generated automatically by Doxygen for MPQC from the source code'.